[Deprecated]: V1.0
post
/ec-designer-edc-svc/rest/v1.0/studies/{studyId}/visitsforms/formitems
Deprecated: Use latest version instead. Returns visit and form summary details for the requested study-version visits. The request body is an array where each object identifies a study version and visit. The response is an EDC envelope whose result contains visit summaries and form summaries for the requested visits. This API is no longer supported
Request
Path Parameters
-
studyId(required): string(uuid)
Study ID (UUID, 32-character uppercase hexadecimal string).Example:
F054C951EB74443C93716CA714AB686E
Query Parameters
-
excludeItemType: string
Form item type to exclude from returned form item details.Allowed Values:
[ "instructionalText" ]Example:instructionalText -
formCategory: string
Form category filter.Default Value:
ALLAllowed Values:[ "DCS", "NSF", "ALL" ]Example:ALL -
forms: boolean
Include form details in the response.Default Value:
trueExample:true -
mode(required): string
Study mode filter.Allowed Values:
[ "test", "training", "active" ]Example:test -
visits: boolean
Include visit details in the response.Default Value:
trueExample:true
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Visits and forms summary was returned successfully.
Nested Schema : RespVisitsFormsSummaryDto
Type:
Show Source
object-
forms: object
FormSummaryDto v1.0
Title:
FormSummaryDto v1.0Summary information for a study form returned by the V1.0 query forms API. -
studyVersion: string
Title:
Stringstudy version. -
visitsWithFormIds: object
VisitSummaryWithFormIdsDto v1.0
Title:
VisitSummaryWithFormIdsDto v1.0Reduced Visit and branch properties
Nested Schema : FormSummaryDto v1.0
Type:
objectTitle:
FormSummaryDto v1.0Summary information for a study form returned by the V1.0 query forms API.
Show Source
-
id: string
(uuid)
Form ID. UUID, 32-character uppercase hexadecimal string.
-
items: array
items
Form item summaries.
-
refname: string
Reference name for the form.Example:
DEMOGRAPHICS -
title: string
Display title for the form.Example:
Demographics
Example:
{
"id":"2F9A6C7E1B8F4D56A23C9F3A0C7D4E11",
"refname":"DEMOGRAPHICS",
"title":"Demographics",
"items":[
{
"id":"9F4A6C7E1B8F4D56A23C9F3A0C7D4E77",
"refname":"AGE",
"questionType":"numeric",
"questionLabel":"Age"
}
]
}Nested Schema : VisitSummaryWithFormIdsDto v1.0
Type:
objectTitle:
VisitSummaryWithFormIdsDto v1.0Reduced Visit and branch properties
Show Source
-
branchIsCycle: boolean
The branch is cyclic or acyclicExample:
true -
branchShortName: string
Visit Branch shortNameExample:
Br1 -
branchTitle: string
Branch titleExample:
Branch1 -
cycleCount: number
number of times a branch can cycleExample:
10 -
eventType: string
Visit event typeExample:
ScreeningVisit -
formIds: array
formIds
List of visit forms IDs
-
fullName: string
Concatenation of Visit Title and Branch title with hypenExample:
B1C01 - V01 -
id: string
(uuid)
Branch GUID
-
shortName: string
Visit shortnameExample:
W2 -
startCycle: integer
(int32)
Start Cycle Number
-
title: string
Visit titleExample:
Week2
Nested Schema : items
Type:
arrayForm item summaries.
Show Source
-
Array of:
object FormItemSummaryDto v1.0
Title:
FormItemSummaryDto v1.0Summary information for a form item returned by the V1.0 query forms API.
Example:
[
{
"id":"9F4A6C7E1B8F4D56A23C9F3A0C7D4E77",
"refname":"AGE",
"questionType":"numeric",
"questionLabel":"Age"
}
]Nested Schema : FormItemSummaryDto v1.0
Type:
objectTitle:
FormItemSummaryDto v1.0Summary information for a form item returned by the V1.0 query forms API.
Show Source
-
id: string
(uuid)
Form item ID. UUID, 32-character uppercase hexadecimal string.
-
questionLabel: string
Display label for the question.Example:
Age -
questionType: string
Title:
FormItemTypeAllowed Values:[ "text", "instructionalText", "numeric", "datetime", "choice", "questionGroup", "table", "label", "section", "existingData", "fileUpload" ]Question type for the form item.Example:numeric -
refname: string
Reference name for the form item.Example:
AGE -
subItemIds: string
(uuid)
Title:
Sub item idsIDs of sub-items for a question group. Each ID is a UUID, 32-character uppercase hexadecimal string.
Example:
{
"id":"9F4A6C7E1B8F4D56A23C9F3A0C7D4E77",
"refname":"AGE",
"questionType":"numeric",
"questionLabel":"Age"
}Nested Schema : formIds
Type:
arrayList of visit forms IDs
Show Source
-
Array of:
string(uuid)
List of visit forms IDs
Example:
[
"938D23FA6B7241CCA41BD627E5DB60DA",
"699EF3745FC545589F186D2198F3C65E"
]Examples
400 Response
The request payload is missing studyVersion or visitId, or contains invalid values.
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}Examples
500 Response
Error
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}Examples